Bug 1476513 - pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan
Fedora Extras Quality Assurance
abrt_hash:c2912cf5445f4dd01c3d8be267e...
:
: 1476076 1484948 1505964 1512994 1513405 1525910 1577566 1580218 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 13:57 EDT by Stefano Dosso
Modified: 2018-06-11 06:11 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (360.12 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: anaconda.log (14.17 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: environ (590 bytes, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: journalctl (269.10 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: lsblk_output (3.49 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: nmcli_dev_list (2.44 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: os_info (518 bytes, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: program.log (17.43 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: storage.log (32.80 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
File: ifcfg.log (10.81 KB, text/plain)
2017-07-29 13:58 EDT, Stefano Dosso
no flags Details
dmraid fix update image (1.67 KB, patch)
2018-02-06 08:16 EST, Jan
no flags Details | Diff
storage.log after applying dmraid_fix.img (90.30 KB, text/plain)
2018-06-10 18:03 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Stefano Dosso 2017-07-29 13:57:49 EDT
Description of problem:
The error message appear immediately after loading Fedora installer from the live disk (either optical or usb) once the language selection screen is showed and it happens only when RAID (NVIDIA fakeRAID) volume is present in the PC.
The problem seems restricted to Anaconda as the RAID volume is recognized and I can normally write and read files in the RAID volume Windows partition from Fedora live OS.

Motherboard: nForce 790i Ultra with 2 WD HDD configured in RAID 0

Version-Release number of selected component:
anaconda-core-26.21.11-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/livepayload.py", line 76, in setup
    raise PayloadInstallError("Unable to find osimg for %s" % self.data.method.partition)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/__init__.py", line 1432, in _runThread
    payload.setup(storage, instClass)
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26
Comment 1 Stefano Dosso 2017-07-29 13:58:07 EDT
Created attachment 1306341 [details]
File: anaconda-tb
Comment 2 Stefano Dosso 2017-07-29 13:58:09 EDT
Created attachment 1306342 [details]
File: anaconda.log
Comment 3 Stefano Dosso 2017-07-29 13:58:11 EDT
Created attachment 1306343 [details]
File: environ
Comment 4 Stefano Dosso 2017-07-29 13:58:25 EDT
Created attachment 1306344 [details]
File: journalctl
Comment 5 Stefano Dosso 2017-07-29 13:58:28 EDT
Created attachment 1306345 [details]
File: lsblk_output
Comment 6 Stefano Dosso 2017-07-29 13:58:30 EDT
Created attachment 1306346 [details]
File: nmcli_dev_list
Comment 7 Stefano Dosso 2017-07-29 13:58:32 EDT
Created attachment 1306347 [details]
File: os_info
Comment 8 Stefano Dosso 2017-07-29 13:58:34 EDT
Created attachment 1306348 [details]
File: program.log
Comment 9 Stefano Dosso 2017-07-29 13:58:40 EDT
Created attachment 1306349 [details]
File: storage.log
Comment 10 Stefano Dosso 2017-07-29 13:58:42 EDT
Created attachment 1306350 [details]
File: ifcfg.log
Comment 11 Stefano Dosso 2017-07-29 14:03:41 EDT
Similar problem has been detected:

The error message appear immediately after loading Fedora installer from the live disk (either optical or usb) once the language selection screen is showed and it happens only when RAID (NVIDIA fakeRAID) volume is present in the PC.
The problem seems restricted to Anaconda as the RAID volume is recognized and I can normally write and read files in the RAID volume Windows partition from Fedora live OS.

Motherboard: nForce 790i Ultra with 2 WD HDD configured in RAID 0

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-26-1-5 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
other involved packages: system-python-libs-3.6.1-8.fc26.x86_64
package:        anaconda-core-26.21.11-1.fc26.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
release:        Fedora release 26 (Twenty Six)
version:        26
Comment 12 Jiri Konecny 2017-07-31 03:36:05 EDT
*** Bug 1476076 has been marked as a duplicate of this bug. ***
Comment 13 Jiri Konecny 2017-07-31 03:41:47 EDT
This looks like storage specific. 

Changing component to blivet. 
Could blivet developers please verify is they are able to work with this "NVIDIA fakeRAID"?
Comment 14 axel.rivas 2017-07-31 09:59:23 EDT
From the duped, 1476076:
> Jiri Konecny 2017-07-31 03:15:43 EDT
>
> Hello Axel,
>
> Could you please describe how did you created your Live USB flash drive. What > tools / commands you used and if it is a default Fedora Workstation iso? 
> Also ideally test this issue with another USB flash drive?
>
> Thank you

This  happened with 3 live images in 2 different USB drives. I got Fedora through the fedora media creation tool from https://getfedora.org/en/workstation/download/, on another attempt I got fedora through the direct download present in the page, and a third attempt with Fedora LXDE, although I don't have the link to it.

FWIW, this seems not to be something overly Fedora specific; I tried installing a few versions of Ubuntu, and Debian and they all failed when bringing up the partitioning dialog (I think ubuntu uses gparted for that).

I couldn't work around this issue, so I got another disk drive - and disconnected the first one - and was able to work. There was an old bug, reported in Fedora 22, which seems to be related - that person used the same workaround successfully.
Comment 15 dlazzaro 2017-08-13 14:17:41 EDT
I had this exact same problem with a Dell T20 with the standard HDD installed and a 120 GB SanDisk SSD installed. Crashes as soon as I click the installer with the error message "unable to find osimg for /dev/mapper/live-base" and something about the python 3.6 library.
Comment 16 dlazzaro 2017-08-13 14:44:30 EDT
Unplugging the second HDD made it possible to continue the installation without an error.
Comment 17 Jiri Konecny 2017-08-25 03:03:15 EDT
*** Bug 1484948 has been marked as a duplicate of this bug. ***
Comment 18 Jiri Konecny 2017-08-25 03:09:10 EDT
This doesn't look like specific issue for just NVIDIA raid.

This is error from logs in first comment here:

GLib.GError: g-bd-dm-error-quark: Failed to activate the RAID set 'nvidia_aehfcccf' (3)


However the duplicate bug 1484948 has this in logs:

GLib.GError: g-bd-dm-error-quark: Failed to activate the RAID set 'pdc_eaeajhadc' (3)


I'm not sure what "pdc" is however I guess it would have "nvidia_" prefix if this would be NVIDIA raid specific.
Comment 19 Jiri Konecny 2017-10-25 04:14:30 EDT
*** Bug 1505964 has been marked as a duplicate of this bug. ***
Comment 20 Serge 2017-11-13 04:55:07 EST
Hi, guys,

there are 2 soft raid adapters in my motherboard by Gigabyte, one is Sil3132 (I put it in as external card) and another one is GigaRaid (jMicron) built-in. As I  experienced the same problem as above I decided to setup Fedora 26 in another pc. I succeeded. After that I just took this hdd back into my first pc and booted from it with no problem to desktop.
Comment 21 Jiri Konecny 2017-11-15 03:18:57 EST
*** Bug 1512994 has been marked as a duplicate of this bug. ***
Comment 22 Jiri Konecny 2017-11-16 08:26:15 EST
*** Bug 1513405 has been marked as a duplicate of this bug. ***
Comment 23 Jiri Konecny 2017-12-14 06:52:37 EST
*** Bug 1525910 has been marked as a duplicate of this bug. ***
Comment 24 David Lehman 2017-12-14 12:39:07 EST
These firmware/bios RAID arrays should generally work. We just have to straighten out how we handle them between blivet and libblockdev. Right now, blivet calls a libblockdev function to activate the array. The array is already active, which is probably why libblockdev throws an exception. We have to decide which behavior should be changed, after which the change itself will be fairly straightforward.
Comment 25 Chris Elrod 2018-01-02 06:15:25 EST
This may not be an ideal situation for most, but when running on a live usb I reformatted the hard drive. This solved the problem, and I've now successfully installed Fedora 27.

I'd mucked around with things, and ended up braking an old Ubuntu install so that it would only load the grub menu.
Then I had issues trying to reinstall ubuntu, with my mouse and keyboard no longer being recognized, so I figured I'd try Fedora.
Having already borked much of the contents of the drive, I didn't mind wiping it to fix the issue and install Fedora.
Comment 26 Alex Lancaster 2018-02-01 20:11:14 EST
Similar problem has been detected:

Tried to run "Install to Hard Drive" off the Live image, got crash just after start.

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image rd.live.check quiet
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-libs-3.6.2-13.fc27.x86_64
package:        anaconda-core-27.20.4-4.fc27.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
release:        Fedora release 27 (Twenty Seven)
version:        27
Comment 27 Jan 2018-02-06 08:16 EST
Created attachment 1392051 [details]
dmraid fix update image

Included update image should fix the problem. Can you please try it?

It doesn't require to reinstall the system. Getting past language selection screen will suffice.
Comment 28 Stefano Dosso 2018-02-06 12:43:01 EST
(In reply to Jan from comment #27)
> Created attachment 1392051 [details]
> dmraid fix update image
> 
> Included update image should fix the problem. Can you please try it?
> 
> It doesn't require to reinstall the system. Getting past language selection
> screen will suffice.

Can I apply this update at runtime? How should I apply it?
Comment 29 Jan 2018-02-07 08:22:29 EST
First you need to get the image (dmraid_fix.img) to some medium accessible from the installation configuration menu. USB key, spare drive or http server.

For http:
Just copy the image on some location so it is possible to download it from the browser.

For USB/disk:
Format disk to contain empty ext2 partition and copy the image directly into it.
Remember device/partition name (e.g. /dev/sdb1)

Next you have to go into installation boot menu and add the parameter there.
Generally you should press 'Tab' or 'e' at the first menu you can see to be able to edit line looking similar to this:

"vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora..."

To this line append (without the quotes):
"updates=http://server_name_or_ip/path/to/image/dmraid_fix.img" (if you used http)
"updates=hd:sdb1:/dmraid_fix.img" (if you used disk or USB)

...and hit Enter.
This should start the installation using this image.

Generally - if you can get to graphical part, image is there. If it hangs before graphics, something is wrong and it should be visible in output.

Let me know how it went. :)
Comment 30 tochansky 2018-02-20 14:14:51 EST
Right now had the same problem on thinkpad x220.
After dd if=/dev/zero of=/dev/sda bs=1M count=1 problem is gone.
There are was gentoo installation on the hdd before 'dd':
/dev/sda1 boot
/dev/sda2 swap
/dev/sda3 /
/dev/sda4 /home
Comment 31 Stefano Dosso 2018-02-23 13:32:37 EST
(In reply to Jan from comment #29)
> First you need to get the image (dmraid_fix.img) to some medium accessible
> from the installation configuration menu. USB key, spare drive or http
> server.
> 
> For http:
> Just copy the image on some location so it is possible to download it from
> the browser.
> 
> For USB/disk:
> Format disk to contain empty ext2 partition and copy the image directly into
> it.
> Remember device/partition name (e.g. /dev/sdb1)
> 
> Next you have to go into installation boot menu and add the parameter there.
> Generally you should press 'Tab' or 'e' at the first menu you can see to be
> able to edit line looking similar to this:
> 
> "vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora..."
> 
> To this line append (without the quotes):
> "updates=http://server_name_or_ip/path/to/image/dmraid_fix.img" (if you used
> http)
> "updates=hd:sdb1:/dmraid_fix.img" (if you used disk or USB)
> 
> ...and hit Enter.
> This should start the installation using this image.
> 
> Generally - if you can get to graphical part, image is there. If it hangs
> before graphics, something is wrong and it should be visible in output.
> 
> Let me know how it went. :)

Sorry for the delay, graphical interface load fine but is there another way to check if the update had been correctly applied?
I've formatted a USB drive with a Linux (0x83) partition, Ext2 (version 1.0) filesystem and "liveuser" as owner, the device was /dev/sdb1 so I've attached "updates=hd:sdb1:/dmraid_fix.img" to kernel parameters but the problem persist, still can't pass language selection, it just crush once it appears.
Comment 32 Jan 2018-02-27 05:01:34 EST
(In reply to Stefano Dosso from comment #31)
The updates image is basically archive with directory structure that is then copied over the installation provided one. Unpacked files are also placed in /tmp/updates where you can verify their presence.

To do it: Press Ctrl-Alt-F2 after you get to the graphical part of the installation (the crash message doesn't matter). You should see the prompt. Check if the directory /tmp/updates/blivet exists. If it does the updates image is loaded. (Ctrl-Alt-F6 to get back to graphical)

Appreciate your help.
Comment 33 Andy Wang 2018-03-02 15:40:57 EST
I'm getting the same error but a totally different root cause I think.
for some reason my /dev/sda2 (msr partition) is being identified as an ext4 partition but it's not.  I've used diskpart in windows to deltee and recreate the partition but blkid and disks and parted all insist that it's an ext4 partition.

The installer appears to be scanning it and erroring out beacuse it can't access the partition. I haven't captured the log file but will do so when I get a chance.  Is that a totally different bugzilla report or does it fit with this one?
Comment 34 sandeep 2018-03-03 05:14:39 EST
Similar problem has been detected:

tried to install on a fresh dell laptop with AMD A6 APU

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-libs-3.6.2-13.fc27.x86_64
package:        anaconda-core-27.20.4-4.fc27.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
release:        Fedora release 27 (Twenty Seven)
version:        27
Comment 35 sandeep 2018-03-03 05:37:59 EST
The last update is mine. Dell seems to be coming with a default lvm partition that's particularly nasty.

I used parted to delete all partitions and then reboot (have to reboot).
And then anaconda was able to pick up the empty disks
Comment 36 Hayden 2018-03-03 17:38:38 EST
Similar problem has been detected:

Searched for a language in the search bar.

addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image quiet
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-libs-3.6.2-13.fc27.x86_64
package:        anaconda-core-27.20.4-4.fc27.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
release:        Fedora release 27 (Twenty Seven)
version:        27
Comment 37 bassam@urchn.org 2018-03-17 20:49:06 EDT
Similar problem has been detected:

Once clicking on "Install to Hard Drive" the welcome/language selection screen comes on in anaconda, but the popup "An unkown error has occurred" twice, one is unclickable but the other allows this bug report to happen

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image rd.live.check quiet
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-libs-3.6.2-13.fc27.x86_64
package:        anaconda-core-27.20.4-4.fc27.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.payload.PayloadInstallError: Unable to find osimg for /dev/mapper/live-base
release:        Fedora release 27 (Twenty Seven)
version:        27
Comment 38 bassam@urchn.org 2018-03-17 20:54:51 EDT
ps, my previous comment: not running nvidia anything, I suspect the reason is that the disk is encrypted (I plan on wiping it)
Comment 39 Stefano Dosso 2018-04-16 10:00:05 EDT
(In reply to Jan from comment #32)
> (In reply to Stefano Dosso from comment #31)
> The updates image is basically archive with directory structure that is then
> copied over the installation provided one. Unpacked files are also placed in
> /tmp/updates where you can verify their presence.
> 
> To do it: Press Ctrl-Alt-F2 after you get to the graphical part of the
> installation (the crash message doesn't matter). You should see the prompt.
> Check if the directory /tmp/updates/blivet exists. If it does the updates
> image is loaded. (Ctrl-Alt-F6 to get back to graphical)
> 
> Appreciate your help.

I've tried several times to load the update image from USB drive but it didn't work as there wasn't any trace of the update on the /tmp folder.
Then I tried to download the image from a http server and it finally applied the update as the directory /tmp/updates/blivet containing unpacked files had been created but the problem still persist, can't get past the language selection menu.
Comment 40 Jiri Konecny 2018-05-14 04:06:30 EDT
*** Bug 1577566 has been marked as a duplicate of this bug. ***
Comment 41 Jiri Konecny 2018-05-21 03:38:15 EDT
*** Bug 1580218 has been marked as a duplicate of this bug. ***
Comment 42 Andreas Thienemann 2018-06-10 18:02:08 EDT
(In reply to Jan from comment #27)
> Created attachment 1392051 [details]
> dmraid fix update image
> 
> Included update image should fix the problem. Can you please try it?
> 
> It doesn't require to reinstall the system. Getting past language selection
> screen will suffice.

I got a very similar problem to the one described here. In my case it is with an embedded promise hostraid controller.

Testing your image makes the installer not immediately abort anymore. So that is good.
Unfortunately, it also leads to the raid disks not being shown in the installer anymore.

I'll attach the storage log for you to have a look. Interestingly, the same problem also happens with Fedora 28.
Comment 43 Andreas Thienemann 2018-06-10 18:03 EDT
Created attachment 1449820 [details]
storage.log after applying dmraid_fix.img

Note You need to log in before you can comment on or make changes to this bug.